name: Build and Deploy Zola Website

on:
  push:
    branches:
      - master
      - dev

jobs:
  build_and_deploy:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout Repository
        uses: actions/checkout@v2

      - name: Set up Zola
        uses: taiki-e/install-action@v2
        with:
          tool: zola@0.17.2

      - name: Build Zola Website
        run: |
          zola build

      - name: Set Destination Folder if MASTER
        if: ${{ github.ref == 'refs/heads/master' }}
        run: echo "DEST_FOLDER=/srv/www/cz/pkmples/www" >> $GITHUB_ENV

      - name: Set Destination Folder if DEV
        if: ${{ github.ref == 'refs/heads/dev' }}
        run: echo "DEST_FOLDER=/srv/www/cz/pkmples/dev" >> $GITHUB_ENV

      - name: Deploy to server
        uses: AEnterprise/rsync-deploy@v1.0.2
        env:
          DEPLOY_KEY: ${{ secrets.DEPLOY_KEY }}
          ARGS: "-e -c -r --delete"
          SERVER_PORT: 22
          FOLDER: "./public/"
          SERVER_IP: ${{ secrets.SERVER_IP }}
          USERNAME: ${{ secrets.USERNAME }}
          SERVER_DESTINATION: ${{ env.DEST_FOLDER }}

